using System;

namespace MyApp
{
    internal class Program
    {
        static int kecevi(int[] niz)
        {
            int brojac = 0;
            for (int i = 0; i<niz.Length;i++)
            {
                brojac++;
                if (niz[i] == 2) return brojac;
            }
            return brojac;
        }
        static int dvojke(int[] niz)
        {
            int brojac = 0;
            for (int i = niz.Length - 1; i >-1 ; i--)
            {
                if (niz[i] == 1) return brojac;
                brojac++;
            }
            return brojac-2;
        }
        static bool noviniz(int[] niz, int brojackec, int brojacdvojke)
        {
            int brojac1 = 0;
            int brojac2 = 0;
            if (brojackec + brojacdvojke == niz.Length) return true;
            if (brojackec == 0 && brojacdvojke == niz.Length) return true;
            if (brojacdvojke == 0 && brojackec == niz.Length) return true;
            for (int i = brojackec; i < niz.Length - brojacdvojke; i++)
            {
                if (niz[i] == 1) brojac1++;
                if (niz[i] == 2) brojac2++;
            }
            if ((brojac1 > 1 && brojac2>0) || (brojac2 > 1 && brojac1 > 0)) return false;
            return true;
        }
        static void Main(string[] args)
        {
            int[] niz = {1,1,2,2,1,2 };
            //int[] niz = { 1, 1, 2, 1, 1, 2, 2, 2, 1, 2 };
            Console.WriteLine(kecevi(niz));
            Console.WriteLine(niz.Length - dvojke(niz));
            Console.WriteLine(noviniz(niz, kecevi(niz), dvojke(niz)));
        }
    }
}